%bcond_without libudev

Name:      libva-utils
Version:   2.0.0
Release:   1%{?dist}
Summary:   Video Acceleration (VA) API for Linux
Group:     System Environment/Libraries
License:   MIT
URL:       http://freedesktop.org/wiki/Software/vaapi
Source0:   http://cgit.freedesktop.org/libva/snapshot/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%{?with_libudev:BuildRequires: libudev-devel}
BuildRequires: libpciaccess-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libdrm-devel >= 2.4.23
BuildRequires: libva-devel >= 2.0.0
BuildRequires: mesa-libGL-devel
Conflicts: libdrm < 2.4.23

Provides:  libva-utils = %{version}-%{release}
Obsoletes: libva-utils < %{version}-%{release}

%description
Libva utils is a library providing the VA API video acceleration utilities.

%prep
%setup -q

%build
mkdir -p m4
autoreconf -ivf
%configure --disable-static \
           --enable-glx
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/avcenc
%{_bindir}/vainfo
%{_bindir}/vavpp
%{_bindir}/vp9enc
%{_bindir}/h264encode
%{_bindir}/mpeg2vldemo
%{_bindir}/putsurface
%{_bindir}/jpegenc
#%{_bindir}/test_0*
#%{_bindir}/test_1*
%{_bindir}/loadjpeg
%{_bindir}/mpeg2vaenc

%changelog
* Mon Oct 23 2017 Stephen Collier <stephen.collier.gmail.com> - 2.0.0-1
- Update to 2.0.0.

* Fri Jul 7 2017 Stephen Collier <stephen.collier.gmail.com> - 1.8.3-8
- Update to 1.8.3.

* Fri Jun 2 2017 Stephen Collier <stephen.collier.gmail.com> - 1.8.2-7
- Update to 1.8.2.

* Tue Mar 4 2017 Stephen Collier <stephen.collier.gmail.com> - 1.8.0-5
- Update to 1.8.0.

* Fri Dec 9 2016 Stephen Collier <stephen.collier.gmail.com> - 1.7.3-4
- Update to 1.7.3.

* Sat Oct 8 2016 Stephen Collier <stephen.collier.gmail.com> - 1.7.2-3
- Update to 1.7.2.

* Sun Jun 26 2016 Stephen Collier <stephen.collier.gmail.com> - 1.7.1-2
- Update to 1.7.1.

* Sun Nov 8 2015 Stephen Collier <stephen.collier.gmail.com> - 1.6.1-1
- Update to 1.3.1.

* Sat Jun  7 2014 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.3.1-11
- Update to 1.3.1.

* Sat Jun  7 2014 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.2.1-10
- Update to 1.2.1.

* Sat Jun  7 2014 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.1.1-9
- Update to 1.1.1.

* Sat Jun  7 2014 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.16-8
- Update to 1.0.16.

* Sun Nov  6 2011 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.0.15-7
- Update to 1.0.15.

* Mon Jun 27 2011 Paulo Roma <roma@lcg.ufrj.br> - 1.0.13-6
- Update to 1.0.13
- Added BR libpciaccess-devel.
- New avcenc binary.

* Mon Apr 11 2011 Paulo Roma <roma@lcg.ufrj.br> - 1.0.12-5
- Update to 1.0.12
- Removed all patches.

* Sun Mar 07 2011 Paulo Roma <roma@lcg.ufrj.br> - 1.0.10-4
- Switch to upstream.

* Sun Jan 30 2011 Paulo Roma <roma@lcg.ufrj.br> - 0.32.0-3.sds1
- Update to 0.32.0-1.sds1

* Sun Jan 30 2011 Paulo Roma <roma@lcg.ufrj.br> - 0.31.1-2.sds5
- Update to 0.31.1-1.sds5

* Sun Jul 18 2010 Paulo Roma <roma@lcg.ufrj.br> - 0.31.1-1.sds4
- Rebuilt as libva for ATrpms.

* Fri Jul 16 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.31.1-1.sds4
- Update to 0.31.1-1+sds4
- Add BR libudev-devel
- Obsoletes libva-utils 
 (tests files aren't installed anymore).

* Fri Jul 16 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.31.0.1.sds13-3
- Revert to the previous version scheme
- Fix mix use of spaces and tabs

* Wed Jul 14 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.31.0-1.sds13
- Move to libva-freeworld
- Virtual provides libva bumped with epoch
- Remove duplicate licence file.

* Mon Jul 05 2010 Nicolas Chauvet <kwizart@gmail.com> - 0.31.0.1.sds130-1
- Update to 0.31.0-1+sds13

* Fri Mar 12 2010 Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds10-1
- new SDS patch version (sds10):
 + Add detection of Broadcom Crystal HD chip.
 + Require vaDriverInit() function to include SDS API version. 
 + OpenGL extensions updates:
 - Drop the 'bind' API. Only keep vaCopySurfaceGLX().
 - Fix FBO check for the generic implementation with TFP.
 + Compat: strip vaPutSurface() flags to match older API.
 - This fixes deinterlacing support with GMA500 "psb" driver.
 + Upgrade to GIT snapshot 2009/12/17:
 - Add a "magic" number to VADisplayContext.
 - Add more test programs, including h264 encoding.
- add -utils package for the various new binaries in this build

* Thu Dec 3 2009 Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds9-1
- new SDS patch version (sds9):
 + Add extra picture info for VDPAU/MPEG-4

* Mon Nov 23 2009 Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds8-1
- new SDS patch version (sds8) - note sds7 package actually contained
 sds5 due to an error on my part:
 + Fix detection of ATI chipsets with fglrx >= 8.69-Beta1.
 + Upgrade to GIT snapshot 2009/11/20:
  + Merge in some G45 fixes and additions.
  + Add VA_STATUS_ERROR_SURFACE_IN_DISPLAYING.

* Tue Nov 17 2009 Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds7-1
- new SDS patch version:
 + Fix compatibility with older programs linked against libva.so.0
 + G45 updates:
  + Fix vaCreateImage() and vaDestroyImage()
  + Fix subpictures association to parent surfaces
  + Fix rendering of subpictures (extra level of scaling)
  + Fix subpicture palette upload (IA44 and AI44 formats for now)
  + Add RGBA subpicture formats
  + Add YV12 vaGetImage() and vaPutImage()
  + Fix subpicture rendering (flickering)
  + Fix return value for unimplemented functions
  + Fix vaPutSurface() to handle cliprects (up to 80)


* Thu Oct 8 2009 Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds5-2
- enable the i965 driver build

* Tue Oct 6 2009 Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds5-1
- new SDS patch version:
 + G45 updates:
 + Fix VA driver version
 + Fix vaAssociateSubpicture() arguments
 + Add vaQueryDisplayAttributes() as a no-op
 + Fix vaQueryImageFormats() to return 0 formats at this time

* Tue Sep 22 2009 Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds4-1
- new SDS patch version:
 + Fix chek for GLX extensions
 + Fix libva pkgconfig dependencies
 + Fix vainfo dependencies (Konstantin Pavlov)
 + Add C++ guards to <va/va_glx.h>
 + Don't search LIBGL_DRIVERS_PATH, stick to extra LIBVA_DRIVERS_PATH
 + Upgrade to GIT snapshot 2009/09/22:
 - Merge in SDS patches 001, 201, 202
 - i965_drv_driver: use the horizontal position of a slice

* Thu Sep 10 2009 Adam Williamson <awilliam@redhat.com> - 0.31.0.1.sds3-1
- new upstream + SDS patch version:
 + Add OpenGL extensions (v3)
 + Upgrade to VA API version 0.31 (2009/09/07 snapshot)
 + Add drmOpenOnce() / drmCloseOnce() replacements for libdrm < 2.3
 + Add generic VA/GLX implementation with TFP and FBO
 + Fix detection of ATI chipsets with fglrx >= 8.66-RC1
 + Add VASliceParameterBufferMPEG2.slice_horizontal_position for i965 
   driver

* Thu Sep 3 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds5-3
- don't declare the stack as executable when creating libva.so.0

* Mon Aug 31 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds5-2
- enable glx support

* Mon Aug 31 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds5-1
- new SDS patch version:
 + Add VA_STATUS_ERROR_UNIMPLEMENTED
 + Add vaBindSurfaceToTextureGLX() and vaReleaseSurfaceFromTextureGLX()

* Wed Aug 26 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds4-1
- new SDS patch version:
 + Add OpenGL extensions
 + Fix NVIDIA driver version check
 + Fix libva-x11-VERSION.so.* build dependencies

* Wed Aug 12 2009 Adam Williamson <awilliam@redhat.com> - 0.30.4.1.sds3-1
- initial package
